import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["Link", "href", "target", "rel", "readOnly", "disabled", "children"];
import { forwardRef } from 'react';
import PropTypes from 'prop-types';
import { LINK_TYPES } from '../constants.js';

/**
 * Component treated as an anchor when href is defined
 */
import { jsx as _jsx } from "react/jsx-runtime";
var ActionableTagContainer = /*#__PURE__*/forwardRef(function (_ref, forwardedRef) {
  var Link = _ref.Link,
    href = _ref.href,
    target = _ref.target,
    rel = _ref.rel,
    readOnly = _ref.readOnly,
    disabled = _ref.disabled,
    children = _ref.children,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  var Component = href !== undefined ? Link : 'span';
  return /*#__PURE__*/_jsx(Component, _extends({
    ref: forwardedRef
  }, href ? {
    href: href,
    target: target,
    rel: rel
  } : {
    role: 'button'
  }, disabled && {
    'aria-disabled': disabled
  }, readOnly && !disabled && {
    'aria-readonly': readOnly
  }, props, {
    children: children
  }));
});
export default ActionableTagContainer;