import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["href", "target", "rel", "className", "role", "children"];
import { forwardRef } from 'react';
import PropTypes from 'prop-types';
import { getLinkTypesString } from './settings.js';

// eslint-disable react/no-unused-prop-types
import { jsx as _jsx } from "react/jsx-runtime";
var TagLink = /*#__PURE__*/forwardRef(function (_ref, forwardRef) {
  var href = _ref.href,
    target = _ref.target,
    rel = _ref.rel,
    className = _ref.className,
    role = _ref.role,
    children = _ref.children,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  return /*#__PURE__*/_jsx("a", _extends({
    ref: forwardRef,
    href: href,
    target: target,
    className: className,
    role: role
  }, _extends({}, props, rel && {
    rel: getLinkTypesString(rel)
  }), {
    children: children
  }));
});
TagLink.propTypes = {
  /**
   * URL to be added on the HTML link
   */
  href: PropTypes.string,
  // eslint-disable-line react/no-unused-prop-types
  /**
   * Target to be added on the HTML link
   */
  target: PropTypes.string,
  // eslint-disable-line react/no-unused-prop-types
  /**
   * Role to be added on the HTML link
   */
  role: PropTypes.string,
  // eslint-disable-line react/no-unused-prop-types
  /**
   * Class name to be added on the HTML link
   */
  className: PropTypes.string // eslint-disable-line react/no-unused-prop-types
  /**
   * Content to be included in the link
   */
};
TagLink.displayName = 'TagLink';
export default TagLink;