import _extends from "@babel/runtime/helpers/esm/extends";
import { forwardRef } from 'react';
import PropTypes from 'prop-types';
import { LINK_TYPES } from '../constants.js';
import AtomTagActionableIcon from './AtomTagActionableIcon.js';
import ActionableTagContainer from './Container.js';
import { getClassNames, ICON_PLACEMENTS, onHandler } from './settings.js';
import TagLink from './TagLink.js';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var ActionableTag = /*#__PURE__*/forwardRef(function (_ref, forwardedRef) {
  var icon = _ref.icon,
    href = _ref.href,
    iconPlacement = _ref.iconPlacement,
    label = _ref.label,
    onClick = _ref.onClick,
    target = _ref.target,
    rel = _ref.rel,
    _ref$linkFactory = _ref.linkFactory,
    linkFactory = _ref$linkFactory === void 0 ? TagLink : _ref$linkFactory,
    className = _ref.className,
    readOnly = _ref.readOnly,
    disabled = _ref.disabled,
    title = _ref.title,
    _ref$value = _ref.value,
    value = _ref$value === void 0 ? null : _ref$value;
  return /*#__PURE__*/_jsxs(ActionableTagContainer, {
    ref: forwardedRef,
    className: getClassNames({
      className: className
    }),
    Link: linkFactory,
    onClick: onHandler({
      disabled: disabled,
      readOnly: readOnly
    }, onClick, {
      value: value,
      label: label
    }),
    href: href,
    target: target,
    rel: rel,
    readOnly: readOnly,
    disabled: disabled,
    children: [/*#__PURE__*/_jsx(AtomTagActionableIcon, _extends({}, iconPlacement === ICON_PLACEMENTS.LEFT && {
      icon: icon
    }, {
      iconPlacement: ICON_PLACEMENTS.LEFT
    })), label ? /*#__PURE__*/_jsx("span", {
      className: "sui-AtomTag-label",
      title: title || label,
      children: label
    }) : null, /*#__PURE__*/_jsx(AtomTagActionableIcon, _extends({}, iconPlacement === ICON_PLACEMENTS.RIGHT && {
      icon: icon
    }, {
      iconPlacement: ICON_PLACEMENTS.RIGHT
    }))]
  });
});
ActionableTag.displayName = 'ActionableTag';
export default ActionableTag;