import _objectDestructuringEmpty from "@babel/runtime/helpers/esm/objectDestructuringEmpty";
import _extends from "@babel/runtime/helpers/esm/extends";
import { filterKeys } from './helpers.js';
export var ACTIONABLE_ONLY_PROPS = ['href', 'iconPlacement', 'target', 'actionable', 'linkFactory', 'rel'];
export var STANDARD_ONLY_PROPS = ['closeIcon', 'onClose'];
export var SIZES = {
  LARGE: 'large',
  MEDIUM: 'medium',
  SMALL: 'small'
};
export var ICON_PLACEMENTS = {
  LEFT: 'left',
  RIGHT: 'right'
};
export var LINK_TYPES = {
  NOFOLLOW: 'nofollow',
  NOOPENER: 'noopener',
  NOREFERRER: 'noreferrer',
  PREV: 'prev',
  NEXT: 'next',
  TAG: 'tag'
};
export var DESIGNS = {
  SOLID: 'solid',
  OUTLINE: 'outline'
};

/**
 * Removes all actionable tag props from the react props
 * @return {Object}
 */
export var getStandardProps = function getStandardProps(props) {
  return filterKeys(props, ACTIONABLE_ONLY_PROPS);
};

/**
 * Removes all standard tag props from the react props
 * @return {Object}
 */
export var getActionableProps = function getActionableProps(props) {
  return filterKeys(props, STANDARD_ONLY_PROPS);
};
export var isFunction = function isFunction(fn) {
  return typeof fn === 'function';
};
export var onHandler = function onHandler(_ref, handler, _temp) {
  var disabled = _ref.disabled,
    readOnly = _ref.readOnly;
  var _ref2 = _temp === void 0 ? {} : _temp,
    args = _extends({}, (_objectDestructuringEmpty(_ref2), _ref2));
  return function (event) {
    if (!(disabled || readOnly)) {
      event.stopPropagation();
      isFunction(handler) && handler(event, _extends({}, args));
    }
  };
};