/**
 * returns key:value in obj except for those keys defined in props
 * @param {Object} obj
 * @param {Array.<string>} props
 * @return {Object}
 */
export var filterKeys = function filterKeys(obj, listOfProps) {
  return Object.keys(obj).reduce(function (acc, key) {
    if (listOfProps.indexOf(key) === -1) {
      acc[key] = obj[key];
    }
    return acc;
  }, {});
};